com.fasterxml.jackson.dataformat.protobuf.schema

## Class FileDescriptorSet

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet

-     public class FileDescriptorSet
      extends Object

  Since:
    2.9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileDescriptorSet.DescriptorProto`
    `static class` | `FileDescriptorSet.EnumDescriptorProto`
    `static class` | `FileDescriptorSet.EnumOptions`
    `static class` | `FileDescriptorSet.EnumValueDescriptorProto`
    `static class` | `FileDescriptorSet.EnumValueOptions`
    `static class` | `FileDescriptorSet.FieldDescriptorProto`
    `static class` | `FileDescriptorSet.FieldOptions`
    `static class` | `FileDescriptorSet.FileDescriptorProto`
    `static class` | `FileDescriptorSet.FileOptions`
    `static class` | `FileDescriptorSet.MessageOptions`
    `static class` | `FileDescriptorSet.MethodDescriptorProto`
    `static class` | `FileDescriptorSet.MethodOptions`
    `static class` | `FileDescriptorSet.OneofDescriptorProto`
    `static class` | `FileDescriptorSet.OneofOptions`
    `static class` | `FileDescriptorSet.ServiceDescriptorProto`
    `static class` | `FileDescriptorSet.ServiceOptions`
    `static class` | `FileDescriptorSet.SourceCodeInfo`
    `static class` | `FileDescriptorSet.UninterpretedOption`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FileDescriptorSet.FileDescriptorProto[]` | `file`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileDescriptorSet()`
    `` | `FileDescriptorSet(FileDescriptorSet.FileDescriptorProto[] f)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptorSet.FileDescriptorProto` | `findDescriptor(String fileName)` Accessor for finding low-level definition with given name, if one contained.
    `FileDescriptorSet.FileDescriptorProto` | `getDescriptor(String fileName)` Accessor for getting low-level definition with given name, contained in this descriptor set.
    `FileDescriptorSet.FileDescriptorProto[]` | `getFile()`
    `ProtobufSchema` | `schemaFor(String rootTypeName)`
    `ProtobufSchema` | `schemaForFirstType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### file

          protected FileDescriptorSet.FileDescriptorProto[] file

  - ### Constructor Detail

    - #### FileDescriptorSet

          protected FileDescriptorSet()

    - #### FileDescriptorSet

          public FileDescriptorSet(FileDescriptorSet.FileDescriptorProto[] f)

  - ### Method Detail

    - #### getFile

          public FileDescriptorSet.FileDescriptorProto[] getFile()

    - #### findDescriptor

          public FileDescriptorSet.FileDescriptorProto findDescriptor(String fileName)

      Accessor for finding low-level definition with given name, if one contained.
      Returns:
        Descriptor matching the name, if any; `null` if none

    - #### getDescriptor

          public FileDescriptorSet.FileDescriptorProto getDescriptor(String fileName)

      Accessor for getting low-level definition with given name, contained in this descriptor set.
      Returns:
        Descriptor matching the name, if any; `null` if none
      Throws:
        `IllegalArgumentException` - if no descriptor with given name found

    - #### schemaForFirstType

          public ProtobufSchema schemaForFirstType()

    - #### schemaFor

          public ProtobufSchema schemaFor(String rootTypeName)

Copyright © 2019 FasterXML. All rights reserved.